[BACK]Return to fw_install.sh CVS log [TXT][DIR] Up to [local] / openbsd / fw_update

Diff for /openbsd/fw_update/fw_install.sh between version 1.52 and 1.57

version 1.52, 2021/12/07 03:09:17 version 1.57, 2021/12/08 03:45:05
Line 48 
Line 48 
         echo "$_dir"          echo "$_dir"
 }  }
   
   realpath () {
           if [ -x /usr/bin/realpath ]; then
                   /usr/bin/realpath "$1"
           elif [ "$1" = "${1%/*}" ]; then
                   echo "${PWD}/$1"
           else
                   echo "$( cd "${1%/*}" && pwd )/${1##*/}"
           fi
   }
   
 fetch() {  fetch() {
         local _file=$1 _user=_file _exit          local _file=$1 _user=_file _exit
   
Line 56 
Line 66 
   
         # If we're not in the installer, we have su(1)          # If we're not in the installer, we have su(1)
         # and doas(1) is unlikely to be configured.          # and doas(1) is unlikely to be configured.
         if [ -x /usr/bin/sh ]; then          if [ -x /usr/bin/su ]; then
                 /usr/bin/su -s /bin/ksh "$_user" -c \                  /usr/bin/su -s /bin/ksh "$_user" -c \
                     "/usr/bin/ftp -D 'Get/Verify' -Vm \                      "/usr/bin/ftp -D 'Get/Verify' -Vm \
                         -o '$_file' '${FWURL}/${_file}'"                          -o '$_file' '${FWURL}/${_file}'"
Line 106 
Line 116 
 }  }
   
 firmware_filename() {  firmware_filename() {
         sed -n "s/.*(\($1-firmware-.*\.tgz\)).*/\1/p" "$CFILE" | sed '$!d'          local _f
           _f="$( sed -n "s/.*(\($1-firmware-.*\.tgz\)).*/\1/p" "$CFILE" | sed '$!d' )"
           ! [ "$_f" ] && echo "Unable to find firmware for $1" >&2 && return 1
           echo "$_f"
 }  }
   
   firmware_devicename() {
           local _d="${1##*/}"
           _d="${_d%-firmware-*}"
           echo "$_d"
   }
   
 installed_firmware() {  installed_firmware() {
         for fw in "${DESTDIR}/var/db/pkg/$1-firmware"*; do          for fw in "${DESTDIR}/var/db/pkg/$1-firmware"*; do
                 [ -e "$fw" ] || continue                  [ -e "$fw" ] || continue
Line 181 
Line 200 
 chmod go+x .  chmod go+x .
   
 fetch "$CFILE"  fetch "$CFILE"
 ! signify -Vep "$FWPUB_KEY" -x "$CFILE" -m "$CFILE" &&  ! signify -qVep "$FWPUB_KEY" -x "$CFILE" -m "$CFILE" &&
     echo "Signature check of SHA256.sig failed" >&2 && exit 1      echo "Signature check of SHA256.sig failed" >&2 && exit 1
   
 for d in "${devices[@]}"; do  for d in "${devices[@]}"; do
         f=$( firmware_filename "$d" )          f=$( firmware_filename "$d" || true )
         [ "$f" ] || continue          [ "$f" ] || continue
         set -A installed -- $( installed_firmware "$d" )          set -A installed -- $( installed_firmware "$d" )
   

Legend:
Removed from v.1.52  
changed lines
  Added in v.1.57

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>